# $Revision: 1.12 $, $Date: 2009/01/10 10:23:22 $
Summary:	"Ha" Background - setting of window manager background image
Summary(pl.UTF-8):	"Ha" Background - program do ustawiania tła zarządcy okien
Name:		habak
Version:	0.2.5
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://download.gna.org/fvwm-crystal/habak/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	bee5c394989367f7a4c5cb9ec99d307c
Patch0:		%{name}-Makefile.patch
URL:		http://fvwm-crystal.org/
BuildRequires:	imlib2-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel
Provides:	WallpaperChanger
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Habak sets window manager background image. Habak uses layered model.
Lowest layer is completely black screen. On this screen you can put
other objects called habaks. There are 3 kinds of habaks: images,
fonts and internals. Wallpaper is made by combining one or more
habaks. Order of defining habaks in command line is also order of
putting it on stack, so habak which is last on the command line is
drawn over all previous habaks.

%description -l pl.UTF-8
Habak jest programem do ustawiania tła zarządcy okien. Habak używa
modelu warstwowego. Najniższą warstwą jest po prostu całkiem czarny
ekran. Na tym ekranie można układać inne obiekty, zwane habakami.
Habaki dzielone są na 3 rodzaje: pliki graficzne (images), fonty i
"obiekty wbudowane" (internals). Gotową tapetę tworzy się nakładając
na czarny pulpit jeden lub więcej habaków dowolnego typu. Kolejność
występowania habaków w linii poleceń jest zarazem kolejnością
nakładania ich na pulpit, czyli habak który występuje ostatni zostanie
narysowany nad "wcześniejszymi" habakami.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/X11R6/include -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install habak $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/habak

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: habak.spec,v $
Revision 1.12  2009/01/10 10:23:22  qboosh
- tab

Revision 1.11  2009/01/09 15:45:12  uzsolt
- provides WallpaperChanger
- rel 2

Revision 1.10  2009/01/08 20:42:07  pawelz
- BR: xorg-lib-libX11-devel
- BR: xorg-proto-xproto-devel

Revision 1.9  2009/01/08 20:40:27  pawelz
- verbose %%files

Revision 1.8  2007/12/26 20:11:10  zbyniu
- up to 0.2.5

Revision 1.7  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.5  2006/09/09 23:26:03  darekr
- added -Makefile patch (pass CC)

Revision 1.4  2004/10/11 12:26:07  mguevara
- update to 0.2.4.1
- URL change to berlios.de

Revision 1.3  2004/05/24 13:54:09  leafnode
- updated to 0.2.4

Revision 1.2  2003/12/26 14:57:52  qboosh
- optflags, pl summary, s/menedżera/zarządcy/ unification

Revision 1.1  2003/12/26 11:49:23  leafnode
- created, adapterized
